=== debian/changelog ===
ros-melodic-tuw-checkerboard (0.1.1-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Florian Beck <florian.beck@tuwien.ac.at>  Mon, 19 Nov 2018 12:29:04 -0000
