=== debian/control ===
Source: ros-melodic-tuw-checkerboard
Section: misc
Priority: extra
Maintainer: Florian Beck <florian.beck@tuwien.ac.at>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-image-view, ros-melodic-marker-msgs, ros-melodic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-tuw-checkerboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-image-view, ros-melodic-marker-msgs, ros-melodic-tf
Description: The tuw_checkerboard package is designed to detect one checkerboard and to estimate the pose of the checkerboard relative to the camera.
 The detection itself is based on the opencv functions for checkerboards.
